## org.springframework.jms.config
Class JmsNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          org.springframework.jms.config.JmsNamespaceHandler

All Implemented Interfaces:
  NamespaceHandler

    public class JmsNamespaceHandler

extends NamespaceHandlerSupport

A `NamespaceHandler` for the JMS namespace.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller

Constructor Summary
`JmsNamespaceHandler()`

Method Summary
`void` `init()` Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsNamespaceHandler

    public JmsNamespaceHandler()

Method Detail

### init

    public void init()

  Description copied from interface: `NamespaceHandler`
  Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

  See Also:
    `NamespaceHandlerSupport.registerBeanDefinitionParser(String, BeanDefinitionParser)`